Bug 115589 - Installer crashes in iutil.py with Errno 12 Cannot allocate memory
Summary: Installer crashes in iutil.py with Errno 12 Cannot allocate memory
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-13 18:14 UTC by Ken Desloover
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-18 00:42:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Desloover 2004-02-13 18:14:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
File "/usr/lib/anaconda/iutil.py", line 63, in execWithRedirect
   childpid = os.fork()
OSError [Errno 12] Cannot allocate memory

I can supply the rest if needed - but need to manually type it in, 
can't copy it.

Compaq Presario 9234 / 133 Mhz Pentium w/80 MB.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run installation, select Server configuration
2. Select packages to install
3. Start installation
    

Additional info:

Comment 1 Jeremy Katz 2004-02-13 18:30:49 UTC
Doing a graphical or text mode installation?

Comment 2 Ken Desloover 2004-02-13 18:59:41 UTC
Graphical - X windows starts fine, and continues even after the 
anaconda crash - but can't do anything.

I am trying to pre-partition using Disk Druid, using same parameters 
as the automatic partition was trying.

Comment 3 Jeremy Katz 2004-02-18 00:42:17 UTC
Workaround by booting with 'linux text' -- bumping up the default
minimum ram.


Note You need to log in before you can comment on or make changes to this bug.